# Interface ExtentJson

This object defines the bounding geometry given the lower-left and upper-right corners of the bounding box. A spatial reference is also required. See https://developers.arcgis.com/web-map-specification/objects/envelope_geometry/ https://developers.arcgis.com/web-map-specification/objects/extent/ https://developers.arcgis.com/web-scene-specification/objects/extent/.

interface ExtentJson {
spatialReference?: SpatialReferenceJson;
xmax?: number;
xmin?: number;
ymax?: number;
ymin?: number;
}

#### Hierarchy (view full)

- GeometryJsonBase
  - ExtentJson

#####
Index

### Properties

spatialReference?
xmax?
xmin?
ymax?
ymin?

##
Properties

### `Optional` spatialReference

spatialReference?: SpatialReferenceJson

The spatial reference can be defined using a well-known ID (WKID) or well-known text (WKT).

Inherited from GeometryJsonBase.spatialReference

### `Optional` xmax

xmax?: number

A numeric value indicating the top-right X-coordinate of an extent envelope.

### `Optional` xmin

xmin?: number

A numeric value indicating the bottom-left X-coordinate of an extent envelope.

### `Optional` ymax

ymax?: number

A numeric value indicating the top-right Y-coordinate of an extent envelope.

### `Optional` ymin

ymin?: number

A numeric value indicating the bottom-left Y-coordinate of an extent envelope.